#This is a script to be used for my Masters dissertation project.


#Following analyses are for the newly sorted data into nice spreadsheets

setwd("C:/") # tells R where you want it to look
getwd()      # R recalls where it is looking currently
rm(list=ls()) # Wipes the environment clean

#CO2 data
co2repletevsdeplete<-read.csv("Replete vs deplete pCO2 noblank.csv")
aov.out<-aov(pCO2~CO2.Treatment*Nutrients,data=co2repletevsdeplete)
TukeyHSD(aov.out)
summary(aov(pCO2~CO2.Treatment*Nutrients,data=co2repletevsdeplete))

#pCO2 for each species
#syne
co2repletevsdepletesyne<-read.csv("Replete vs deplete pCO2 syne.csv")
aov.out<-aov(pCO2~CO2.Treatment*Nutrients,data=co2repletevsdepletesyne)
TukeyHSD(aov.out)
summary(aov(pCO2~CO2.Treatment*Nutrients,data=co2repletevsdepletesyne))
#d.t
co2repletevsdepleted.t<-read.csv("Replete vs deplete pCO2 d.t.csv")
aov.out<-aov(pCO2~CO2.Treatment*Nutrients,data=co2repletevsdepleted.t)
TukeyHSD(aov.out)
summary(aov(pCO2~CO2.Treatment*Nutrients,data=co2repletevsdepleted.t))
#p.c
co2repletevsdepletep.c<-read.csv("Replete vs deplete pCO2 p.c.csv")
aov.out<-aov(pCO2~CO2.Treatment*Nutrients,data=co2repletevsdepletep.c)
TukeyHSD(aov.out)
summary(aov(pCO2~CO2.Treatment*Nutrients,data=co2repletevsdepletep.c))
#p.t
co2repletevsdepletep.t<-read.csv("Replete vs deplete pCO2 p.t.csv")
aov.out<-aov(pCO2~CO2.Treatment*Nutrients,data=co2repletevsdepletep.t)
TukeyHSD(aov.out)
summary(aov(pCO2~CO2.Treatment*Nutrients,data=co2repletevsdepletep.t))
#t.w
co2repletevsdepletet.w<-read.csv("Replete vs deplete pCO2 t.w.csv")
aov.out<-aov(pCO2~CO2.Treatment*Nutrients,data=co2repletevsdepletet.w)
TukeyHSD(aov.out)
summary(aov(pCO2~CO2.Treatment*Nutrients,data=co2repletevsdepletet.w))
#e.h
co2repletevsdepletee.h<-read.csv("Replete vs deplete pCO2 e.h.csv")
aov.out<-aov(pCO2~CO2.Treatment*Nutrients,data=co2repletevsdepletee.h)
TukeyHSD(aov.out)
summary(aov(pCO2~CO2.Treatment*Nutrients,data=co2repletevsdepletee.h))
#c.p
co2repletevsdepletec.p<-read.csv("Replete vs deplete pCO2 c.p.csv")
aov.out<-aov(pCO2~CO2.Treatment*Nutrients,data=co2repletevsdepletec.p)
TukeyHSD(aov.out)
summary(aov(pCO2~CO2.Treatment*Nutrients,data=co2repletevsdepletec.p))

#CO2 drawdown
co2repletevsdepletedrawdown<-read.csv("Replete vs deplete pCO2 drawdown.csv")
aov.out<-aov(Drawdown~CO2.Treatment*Nutrients,data=co2repletevsdepletedrawdown)
TukeyHSD(aov.out)
summary(aov(Drawdown~CO2.Treatment*Nutrients,data=co2repletevsdepletedrawdown))
                         

#Growth Rates

setwd("C:/") # tells R where you want it to look
getwd()      # R recalls where it is looking currently
rm(list=ls()) # Wipes the environment clean

                           #Replete vs Deplete Growth test
growthrepletevsdepletetaxa<-read.csv("Replete vs Deplete Growth.csv")
aov.out<-aov(Growth.Rate~CO2.Level*Major.Taxa*Nutrients+Species,data=growthrepletevsdepletetaxa)
TukeyHSD(aov.out)
summary(aov(Growth.Rate~CO2.Level*Major.Taxa*Nutrients+Species,data=growthrepletevsdepletetaxa))

Repletevsdepletetaxacyano<-read.csv("Repletevsdeplete Cyano Growth.csv")
aov.out<-aov(Growth.Rate~CO2.Level*Nutrients,data=Repletevsdepletetaxacyano)
TukeyHSD(aov.out)
summary(aov(Growth.Rate~CO2.Level*Nutrients,data=Repletevsdepletetaxacyano))

Repletevsdepletetaxachloro<-read.csv("Repletevsdeplete Chloro Growth.csv")
aov.out<-aov(Growth.Rate~CO2.Level*Nutrients*Species,data=Repletevsdepletetaxachloro)
TukeyHSD(aov.out)
summary(aov(Growth.Rate~CO2.Level*Nutrients*Species,data=Repletevsdepletetaxachloro))

Repletevsdepletetaxadiatom<-read.csv("Repletevsdeplete Diatom Growth.csv")
aov.out<-aov(Growth.Rate~CO2.Level*Nutrients*Species,data=Repletevsdepletetaxadiatom)
TukeyHSD(aov.out)
summary(aov(Growth.Rate~CO2.Level*Nutrients*Species,data=Repletevsdepletetaxadiatom))

Repletevsdepletetaxacocco<-read.csv("Repletevsdeplete Cocco Growth.csv")
aov.out<-aov(Growth.Rate~CO2.Level*Nutrients*Species,data=Repletevsdepletetaxacocco)
TukeyHSD(aov.out)
summary(aov(Growth.Rate~CO2.Level*Nutrients*Species,data=Repletevsdepletetaxacocco))

#As individual species nutrients and CO2
Repletevsdepleted.t<-read.csv("Repletevsdeplete D.t Growth.csv")
aov.out<-aov(Growth.Rate~CO2.Level*Nutrients+Week+Chamber,data=Repletevsdepleted.t)
TukeyHSD(aov.out)
summary(aov(Growth.Rate~CO2.Level*Nutrients+Week+Chamber,data=Repletevsdepleted.t))

Repletevsdepletep.c<-read.csv("Repletevsdeplete P.c Growth.csv")
aov.out<-aov(Growth.Rate~CO2.Level*Nutrients+Week,data=Repletevsdepletep.c)
TukeyHSD(aov.out)
summary(aov(Growth.Rate~CO2.Level*Nutrients+Week+Chamber,data=Repletevsdepletep.c))

Repletevsdepletep.t<-read.csv("Repletevsdeplete P.t Growth.csv")
aov.out<-aov(Growth.Rate~CO2.Level*Nutrients,data=Repletevsdepletep.t)
TukeyHSD(aov.out)
summary(aov(Growth.Rate~CO2.Level*Nutrients+Week+Chamber,data=Repletevsdepletep.t))

Repletevsdepletet.w<-read.csv("Repletevsdeplete T.w Growth.csv")
aov.out<-aov(Growth.Rate~CO2.Level*Nutrients+Week,data=Repletevsdepletet.w)
TukeyHSD(aov.out)
summary(aov(Growth.Rate~CO2.Level*Nutrients+Week+Chamber,data=Repletevsdepletet.w))

Repletevsdepletee.h<-read.csv("Repletevsdeplete E.h Growth.csv")
aov.out<-aov(Growth.Rate~CO2.Level*Nutrients,data=Repletevsdepletee.h)
TukeyHSD(aov.out)
summary(aov(Growth.Rate~CO2.Level*Nutrients+Week+Chamber,data=Repletevsdepletee.h))

Repletevsdepletec.p<-read.csv("Repletevsdeplete C.p Growth.csv")
aov.out<-aov(Growth.Rate~CO2.Level*Nutrients,data=Repletevsdepletec.p)
TukeyHSD(aov.out)
summary(aov(Growth.Rate~CO2.Level*Nutrients+Week+Chamber,data=Repletevsdepletec.p))

Repletevsdepletesyn<-read.csv("Repletevsdeplete Cyano Growth.csv")
aov.out<-aov(Growth.Rate~CO2.Level*Nutrients+Week+Chamber,data=Repletevsdepletesyn)
TukeyHSD(aov.out)
summary(aov(Growth.Rate~CO2.Level*Nutrients+Week+Chamber,data=Repletevsdepletesyn))

setwd("C:/") # tells R where you want it to look
getwd()      # R recalls where it is looking currently
rm(list=ls()) # Wipes the environment clean


#Combining pairwise to also see affect of nutrients


setwd("C:/") # tells R where you want it to look
getwd()      # R recalls where it is looking currently
rm(list=ls()) # Wipes the environment clean

                                          #Replete vs Deplete Pair Comps

#So as groups overall
overallpaircyanovsrest<-read.csv("Replete vs Deplete Pair Cyano vs Rest.csv")
aov.out<-aov(C1~treatment*Nutrients,data=overallpaircyanovsrest)
TukeyHSD(aov.out)
summary(aov(C1~treatment*Nutrients*taxon2+spp2,data=overallpaircyanovsrest))


overallpairchlorovsrest<-read.csv("Replete vs Deplete Pair Chloro vs Rest.csv")
aov.out<-aov(C1~treatment*Nutrients,data=overallpairchlorovsrest)
TukeyHSD(aov.out)
summary(aov(C1~treatment*Nutrients*taxon2+spp1+spp2,data=overallpairchlorovsrest))

overallpairdiatomvsrest<-read.csv("Replete vs Deplete Pair Diatom vs Rest.csv")
aov.out<-aov(C1~treatment*Nutrients,data=overallpairdiatomvsrest)
TukeyHSD(aov.out)
summary(aov(C1~treatment*Nutrients*taxon2+spp1+spp2,data=overallpairdiatomvsrest))

overallpaircoccovsrest<-read.csv("Replete vs Deplete Pair Cocco vs Rest.csv")
aov.out<-aov(C1~treatment*Nutrients,data=overallpaircoccovsrest)
TukeyHSD(aov.out)
summary(aov(C1~treatment*Nutrients*taxon2+spp1+spp2,data=overallpaircoccovsrest))

              C<-read.table("Replete vs Deplete Competition Pairwise 2.csv",header=TRUE, sep=",")
              cyano_vs_chloro<-C[(C$taxon1 == "Cyano" & C$taxon2 == "Chloro"),]
              cyano_vs_diatom<-C[(C$taxon1 == "Cyano" & C$taxon2 == "Diatom"),]
              cyano_vs_cocco<-C[(C$taxon1 == "Cyano" & C$taxon2 == "Cocco"),]
              chloro_vs_diatom<-C[(C$taxon1 == "Chloro" & C$taxon2 == "Diatom"),]
              chloro_vs_cocco<-C[(C$taxon1 == "Chloro" & C$taxon2 == "Cocco"),]
              diatom_vs_cocco<-C[(C$taxon1 == "Diatom" & C$taxon2 == "Cocco"),]
             
              cyano_vs_chloro_diatom_cocco<-c[(C$taxon1 == "Cyano" & C$taxon2 == "Chloro, Diatom, Cocco"),]
              
              #Cyano vs Chloro 
              summary(aov(C1~treatment*Nutrients*spp2,data=cyano_vs_chloro))
              #Cyano vs Diatom
              summary(aov(C1~treatment*Nutrients*spp2,data=cyano_vs_diatom))
              #Cyano vs Cocco
              summary(aov(C1~treatment*Nutrients*spp2,data=cyano_vs_cocco))
              #Chloro vs Diatom
              summary(aov(C1~treatment*Nutrients*spp1*spp2,data=chloro_vs_diatom))
              #Chloro vs Cocco
              summary(aov(C1~treatment*Nutrients*spp1*spp2,data=chloro_vs_cocco))
              #Diatom vs Cocco
              summary(aov(C1~treatment*Nutrients*spp2,data=diatom_vs_cocco))

                          
              
              
              
              setwd("C:/") # tells R where you want it to look
              getwd()      # R recalls where it is looking currently
              rm(list=ls()) # Wipes the environment clean              
              
#Trying new tests.              
              
                    

#Manova attempt full, replete vs deplete
manova.repletevsdeplete.full<-read.csv("Replete vs Deplete Man Full Community.csv")   #the week can be removed etc \/
depletevsrepletemanorun<-manova(cbind(Syn, D.t, P.c, P.t, T.w, E.h, C.p)~CO2*Nutrients,data=manova.repletevsdeplete.full)
summary(depletevsrepletemanorun)                         
summary.aov(depletevsrepletemanorun)

manovarepletevsdepletetaxafull<-read.csv("RepletevsDeplete Man Full Community Taxa.csv") #This is without the cyano as can't because less data as only 1 species
depletevsrepletemanotaxarun<-manova(cbind(Chlorophytes, Diatoms, Coccolithophores)~CO2*Nutrients,data=manovarepletevsdepletetaxafull)
summary(depletevsrepletemanotaxarun)
summary.aov(depletevsrepletemanotaxarun)
#just for the cyano as =1 species
cyanodepletevsrepletefull<-read.csv("Repletevsdeplete cyano full community.csv")
aov.out<-aov(Species~CO2*Nutrients,data=cyanodepletevsrepletefull)
TukeyHSD(aov.out)
summary(aov(Species~CO2*Nutrients,data=cyanodepletevsrepletefull))


#Regression Replete
replete.reg.growth.pair<-read.csv("Replete Reg Growth Pair.csv")
summary(lm(Pair.Response~Growth.Response,data=replete.reg.growth.pair))

replete.reg.pair.full<-read.csv("Replete Reg Pair Full.csv")
summary(lm(Full.Response~Pair.Response,data=replete.reg.pair.full))

replete.reg.pure.full<-read.csv("Replete Reg Growth Full.csv")
summary(lm(Full.Response~Pure.Response,data=replete.reg.pure.full))

                         #Regression Deplete
Deplete.reg.growth.pair<-read.csv("Deplete Reg Growth Pair.csv")
summary(lm(Pair.Response~Growth.Response,data=Deplete.reg.growth.pair))

Deplete.reg.pair.full<-read.csv("Deplete Reg Pair Full.csv")
summary(lm(Full.Response~Pair.Response,data=Deplete.reg.pair.full))

deplete.reg.pure.full<-read.csv("Deplete Reg Growth Full.csv")
summary(lm(Full.Response~Pure.Response,data=deplete.reg.pure.full))


setwd("C:/") # tells R where you want it to look
getwd()      # R recalls where it is looking currently
rm(list=ls()) # Wipes the environment clean

#Species specific replete vs deplete only for the pairwise communites containing the same species
RepletevsDepletechlorospeciesspecific<-read.csv("Replete vs deplete chlorospecies specific.csv")
aov.out<-aov(Competition.Pairwise~Treatment*Species,data=RepletevsDepletechlorospeciesspecific)# Pairwise
TukeyHSD(aov.out)
summary(aov(Competition.Pairwise~Treatment*Nutrients,data=RepletevsDepletechlorospeciesspecific))

RepletevsDepletecoccopeciesspecific<-read.csv("Replete vs deplete coccospecies specific.csv")
aov.out<-aov(Competition.Pairwise~Treatment*Species*Nutrients,data=RepletevsDepletecoccopeciesspecific)
TukeyHSD(aov.out)
summary(aov(Competition.Pairwise~Treatment*Nutrients,data=RepletevsDepletecoccopeciesspecific))

RepletevsDepletediatomspeciesspecific<-read.csv("Replete vs deplete diatomspecies specific.csv")
aov.out<-aov(Competition.Pairwise~Treatment*Species*Nutrients,data=RepletevsDepletediatomspeciesspecific)
TukeyHSD(aov.out)
summary(aov(Competition.Pairwise~Treatment*Nutrients,data=RepletevsDepletediatomspeciesspecific))
